---
aliases:
- /docker-cloud/getting-started/beginner/link-do/
- /docker-cloud/getting-started/link-do/
description: Link your DigitalOcean account
keywords:
- link, DigitalOcean, account
menu:
  main:
    parent: infrastructure
title: Link to DigitalOcean hosts
---

# Link your DigitalOcean account

You can link your DigitalOcean account to your Docker Cloud account to deploy **nodes** and **node clusters** using Docker Cloud's Dashboard, API, and CLI.  You must link your DigitalOcean account so that Docker Cloud can interact with DigitalOcean on your behalf to create and manage your **nodes** (droplets).

If you don't have a **DigitalOcean** account, you can sign up with this link to get a $10 credit: [https://www.digitalocean.com/?refcode=bc0c34035aa5](https://www.digitalocean.com/?refcode=bc0c34035aa5)

## Link your DigitalOcean Account

To link your DigitalOcean account so you can launch **nodes** using Docker Cloud,
navigate to **Account info \> Cloud Providers**. You'll see a list of all the providers that you can link to Docker Cloud. Click **Link account** next to DigitalOcean.

![](images/do-link-account.png)

You'll be redirected to a DigitalOcean login screen. Use your **DigitalOcean** credentials to log in to your account.

![](images/do-login-screen.png)

Once you log in, a message appears prompting you to confirm the link.

![](images/do-approve-access.png)

## What's next?

You're ready to start using using DigitalOcean as the infrastructure provider for Docker Cloud! If you came here from the tutorial, click here to [continue the tutorial and deploy your first node](../getting-started/your_first_node.md).
