---
description: Docker Store frequently asked questions
keywords:
- Docker, docker, store, purchase images
menu:
  main:
    parent: docker-store
title: Docker Store FAQs
---

# Docker Store Frequently Asked Questions

### How do I log in to the Docker Store?

Log in to the Docker Store using your free Docker ID. Don't have a Docker ID yet? Go to [Docker Cloud](https://cloud.docker.com/) to sign up.

### Where can I see all of my purchases?

To view your purchases, go to the account menu at the upper right corner, and
click **Subscriptions**. The page that appears lists all of your active
subscriptions, and any lapsed or canceled subscriptions.

### Can I buy subscriptions for my organization?

Yes! Members of an Organization's "Owners" team can buy images and subscriptions
for use in their Organization. Once purchased, images are available for any
organization member to pull.

Organization owners can view the organization's subscriptions by changing the
selected account on the **Subscriptions** page.

### How can I become a Docker Store publisher?

You can apply to become a Docker Store publisher by filling out
the form [here](https://store.docker.com/publisher/signup). When you've been
accepted to the program, you'll set up a publisher profile and submit your
images for review. Learn more about the publisher duties and requirements
[here](https://success.docker.com/Store)

## Docker Store billing Frequently Asked Questions

### What forms of payment do you accept?

The Docker Store accepts Visa, MasterCard, American Express, and Discover credit
cards. We do not accept ACH, EFT, or PIN-based debit card transactions at this
time.

### What currencies do you accept?

Docker is a US-based company, and bills in US Dollars (USD). This keeps our
pricing stable and consistent, rather than fluctuating with exchange rates.

### When do you charge my credit card?

We automatically charge your credit card on the first day of your billing cycle
each month, and the charge will come from Docker, Inc. Your billing cycle is a
30 day period starting on the day you subscribe.

### What do I do if my payment fails?

If your payment failed because the card expired or was canceled, you need to
update your credit card information or add an additional card.

Click the user icon menu menu in the upper right corner, and click
**Billing**. Click the **Payment methods** tab to update your credit card and
contact information.

If you are updating the card details for an organization, be sure the select the
organization name from the **Account** menu before updating the information.

### How does cancellation work? Do you offer refunds?

You can cancel a subscription at any time, however you will still be billed
for the full month, and have access to the subscription content until the end of
that billing period.

We do not offer refunds. If you believe that you’ve been billed in error,
contact our [Billing Support team](mailto:billing@docker.com).

### How do I download the licenses my organization has purchased?

You can view and download your all active licenses for an organization from the
Subscriptions page.

Click the user icon menu at the top right, choose **Subscriptions** and then
select the organization from the **Accounts** drop down menu.
